INSERT INTO `system` (`category`, `key`, `value`, `type`, `desc`, `created_at`, `updated_at`)
SELECT 'signature',
       'EnableSignature',
       'false',
       'bool',
       'Enable signature verification for public APIs',
       NOW(3),
       NOW(3)
WHERE NOT EXISTS (
    SELECT 1
    FROM `system`
    WHERE `category` = 'signature'
      AND `key` = 'EnableSignature'
);
